FREEFOAM-EXTRUDEMESH(1)

NAME
freefoam-extrudeMesh - Extrude mesh from existing patch or from patch read from file.

SYNOPSIS

freefoam extrudeMesh [-sourceCase <source case name>] [-sourcePatch <name of source patch to extrude>] [-mergeFaces] [-surface <Foam surface file>] [-srcDoc] [-doc] [-help] [-sourceRoot <directory containing the case>] [-case <dir>]

DESCRIPTION

By default uses outwards facing normals, optionally flips faces.

Type of extrusion prescribed by run-time selectable model.

OPTIONS

-mergeFaces
    Merge faces for axisymmetric cases.

-sourceRoot <directory containing the case>
    Parent directory of the source case.

-sourceCase <source case name>
    Source case name.

-sourcePatch <name of source patch to extrude>
    Source patch.

-surface <Foam surface file>
    Specify surface file to extrude.

-case <dir>
    Case directory.

-help
    Display help message.

-doc
    Display Doxygen API documentation page for this application.

-srcDoc
    Display Doxygen source documentation page for this application.

NOTE

Merges close points so be careful.

SEE ALSO

An overview of FreeFOAM is given in freefoam(1).

AUTHOR

OpenCFD Ltd.

FREEFOAM

Part of the freefoam(1) suite.

COPYRIGHT

    • Copyright © 2008-2012 Michael Wild.

    • Copyright © 1991-2010 OpenCFD Ltd.